Gtk2::TreeModelFilter(3)

NAME
Gtk2::TreeModelFilter - wrapper for GtkTreeModelFilter

HIERARCHY
  Glib::Object
  +----Gtk2::TreeModelFilter

INTERFACES
  Gtk2::TreeModel
  Gtk2::TreeDragSource

METHODS

  treemodelfilter = Gtk2::TreeModelFilter->new ($child_model, $root=undef)

•   $child_model (Gtk2::TreeModel)

•   $root (Gtk2::TreePath or undef)

  $filter->clear_cache

  treeiter = $filter->convert_child_iter_to_iter ($child_iter)

•   $child_iter (Gtk2::TreeIter)

  treepath or undef = $filter->convert_child_path_to_path ($child_path)

•   $child_path (Gtk2::TreePath)

  treeiter = $filter->convert_iter_to_child_iter ($filter_iter)

•   $filter_iter (Gtk2::TreeIter)

  treepath or undef = $path->convert_path_to_child_path ($filter_path)

•   $filter_path (Gtk2::TreePath)

  treemodel = $filter->get_model

  $filter->set_modify_func ($types, $func=undef, $data=undef)

•   $types (scalar) type name string for one column, or an arrayref of type names for multiple columns

•   $func (scalar)

•   $data (scalar)

func is called as

    sub myfunc {
      my ($filter, $iter, $column_num, $data) = @_;
      ...

and should return the value from the filtered model that iter row and column number.

  $filter->refilter

  $filter->set_visible_column ($column)

•   $column (integer)

  $filter->set_visible_func ($func, $data=undef)

•   $func (scalar)

•   $data (scalar)

PROPERTIES

'child-model' (Gtk2::TreeModel : default undef : readable / writable / construct-only / private / static-nick / static-blurb)
    The model for the filtermodel to filter

'virtual-root' (Gtk2::TreePath : default undef : readable / writable / construct-only / private / static-nick / static-blurb)
    The virtual root (relative to the child model) for this filtermodel

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.